#include "UDS_2FService_Internal.h"

/**
  *ADR 工作异常指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ADRWorkingStatus 报警灯状态：0关闭报警灯，FF开启报警灯
*/  
void Ab_ADRWorking(uint8_t ControlStatus, uint8_t ADRWorkingStatus)
{
  if(ControlStatus == 0x03u){
    if(ADRWorkingStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *蓄电池充电指示灯状态
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param BatteryChargingST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void BatteryCharging(uint8_t ControlStatus, uint8_t BatteryChargingST)
{
  if(ControlStatus == 0x03u){
    if(BatteryChargingST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *OBD 报警灯状态
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param OBDStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void OBDAlarm(uint8_t ControlStatus, uint8_t OBDStatus)
{
  if(ControlStatus == 0x03u){
    if(OBDStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *主车 ABS 指示灯状态
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ABSStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void M_ABSIndicator(uint8_t ControlStatus, uint8_t ABSStatus)
{
  if(ControlStatus == 0x03u){
    if(ABSStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *挂车 ABS 指示灯状态
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ABSStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void T_ABSIndicator(uint8_t ControlStatus, uint8_t ABSStatus)
{
  if(ControlStatus == 0x03u){
    if(ABSStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *主车左转向指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TurnLeftStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void M_TurnLeft(uint8_t ControlStatus, uint8_t TurnLeftStatus)
{
  if(ControlStatus == 0x03u){
    if(TurnLeftStatus == 0x00u){
      
    }
    else{
      
    }
  }
  else{

  }
}

/**
  *挂车左转向指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TurnLeftStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void T_TurnLeft(uint8_t ControlStatus, uint8_t TurnLeftStatus)
{
  if(ControlStatus == 0x03u){
    if(TurnLeftStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *主车右转向指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TurnRightStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void M_TurnRight(uint8_t ControlStatus, uint8_t TurnRightStatus)
{
  if(ControlStatus == 0x03u){
    if(TurnRightStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *挂车右转向指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TurnRightStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void T_TurnRight(uint8_t ControlStatus, uint8_t TurnRightStatus)
{
  if(ControlStatus == 0x03u){
    if(TurnRightStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *远光灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param HighBeamStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void HighBeam(uint8_t ControlStatus, uint8_t HighBeamStatus)
{
  if(ControlStatus == 0x03u){
    if(HighBeamStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *近光灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param FrontFogStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void FrontFog(uint8_t ControlStatus, uint8_t FrontFogStatus)
{
  if(ControlStatus == 0x03u){
    if(FrontFogStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *后雾灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param RearFogStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void RearFog(uint8_t ControlStatus, uint8_t RearFogStatus)
{
  if(ControlStatus == 0x03u){
   
    if(RearFogStatus == 0x00u){

    }
    else{
      
    }
  }
  else{
    
  }
}

/**
  *位置灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param PositionStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void PositionLight(uint8_t ControlStatus, uint8_t PositionStatus)
{
  if(ControlStatus == 0x03u){
    if(PositionStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}


/**
  *STOP 停车灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param StopLightStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
 void StopLight(uint8_t ControlStatus, uint8_t StopLightStatus)
{
  if(ControlStatus == 0x03u){
    if(StopLightStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *驻车制动指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ParkingBrakeStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ParkingBrake(uint8_t ControlStatus, uint8_t ParkingBrakeStatus)
{
  if(ControlStatus == 0x03u){
    if(ParkingBrakeStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *EDC 诊断指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param EDCStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void EDCLight(uint8_t ControlStatus, uint8_t EDCStatus)
{
  if(ControlStatus == 0x03u){
    if(EDCStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *定速巡航指示
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CruiseControlStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void CruiseControl(uint8_t ControlStatus, uint8_t CruiseControlStatus)
{
  if(ControlStatus == 0x03u){
    if(CruiseControlStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *自适应巡航指示(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AdaptiveCruiseStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void IntelligentAdaptiveCruise(uint8_t ControlStatus, uint8_t AdaptiveCruiseStatus)
{
  if(ControlStatus == 0x03u){
    if(AdaptiveCruiseStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *安全带未系指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SeatBeltStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SeatBelt(uint8_t ControlStatus, uint8_t SeatBeltStatus)
{
  if(ControlStatus == 0x03u){
    if(SeatBeltStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *机油压力低指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowOilPressureStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LowOilPressure(uint8_t ControlStatus, uint8_t LowOilPressureStatus)
{
  if(ControlStatus == 0x03u){
    if(LowOilPressureStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *制动气压低指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowBrakeAirPressureST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LowBrakeAirPressure(uint8_t ControlStatus, uint8_t LowBrakeAirPressureST)
{
  if(ControlStatus == 0x03u){
    if(LowBrakeAirPressureST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *冷却液温度高指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CoolantTemPStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void HighCoolantTemPerature(uint8_t ControlStatus, uint8_t CoolantTemPStatus)
{
  if(ControlStatus == 0x03u){
    if(CoolantTemPStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *排气制动指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ExhaustBrakeStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ExhaustBrake(uint8_t ControlStatus, uint8_t ExhaustBrakeStatus)
{
  if(ControlStatus == 0x03u){
    if(ExhaustBrakeStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *辅助制动 1 档指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AuxiliaryBrakeStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AuxiliaryBrake_1(uint8_t ControlStatus, uint8_t AuxiliaryBrakeStatus)
{
  if(ControlStatus == 0x03u){
    if(AuxiliaryBrakeStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *辅助制动 2 档指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AuxiliaryBrakeStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void AuxiliaryBrake_2(uint8_t ControlStatus, uint8_t AuxiliaryBrakeStatus)
{

}
*/

/**
  *燃油油量低指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowFuelOilStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void LowFuelOil(uint8_t ControlStatus, uint8_t LowFuelOilStatus)
{
  if(ControlStatus == 0x03u){
    if(LowFuelOilStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *维修指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ServiceIndicatorStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void ServiceIndicator(uint8_t ControlStatus, uint8_t ServiceIndicatorStatus)
{

}
*/

/**
  *维修指变速箱低档指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param GearboxLowStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void GearboxLow(uint8_t ControlStatus, uint8_t GearboxLowStatus)
{

}

/**
  *ASR 指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ASRStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ASRIndicator(uint8_t ControlStatus, uint8_t ASRStatus)
{
  if(ControlStatus == 0x03u){
    if(ASRStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *日间行车灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DayDrivingStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DaytimeDriving(uint8_t ControlStatus, uint8_t DayDrivingStatus)
{
  if(ControlStatus == 0x03u){
    if(DayDrivingStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *遥控钥匙电量低指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param BatteryOfKeyStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void LowBatteryOfKey(uint8_t ControlStatus, uint8_t BatteryOfKeyStatus)
{

}

/**
  *发动机防盗指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param EngineAntiTheftStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void EngineAntiTheft(uint8_t ControlStatus, uint8_t BatteryOfKeyStatus)
{

}
*/

/**
  *驾驶室翻转指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CabFlipStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
 
void CabFlip(uint8_t ControlStatus, uint8_t CabFlipStatus)
{
  if(ControlStatus == 0x03u){
    if(CabFlipStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *车厢举升指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CarLiftStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void CarLift(uint8_t ControlStatus, uint8_t CarLiftStatus)
{
  if(ControlStatus == 0x03u){
    if(CarLiftStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *冷却液位低指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowCoolantLevelStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void LowCoolantLevel(uint8_t ControlStatus, uint8_t LowCoolantLevelStatus)
{
  if(ControlStatus == 0x03u){
    if(LowCoolantLevelStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}


/**
  *EDC 维修指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param EDCRepairStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void EDCRepair(uint8_t ControlStatus, uint8_t EDCRepairStatus)
{
  if(ControlStatus == 0x03u){
    if(EDCRepairStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *尿素液位低指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowUreaLevelStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */  
void LowUreaLevel(uint8_t ControlStatus, uint8_t LowUreaLevelStatus)
{
  if(ControlStatus == 0x03u){
    if(LowUreaLevelStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *胎压报警指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TirePressureStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void TirePressureAlarm(uint8_t ControlStatus, uint8_t TirePressureStatus)
{
  if(ControlStatus == 0x03u){
    if(TirePressureStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *盘式制动器磨损指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DiscBrakeWearStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void DiscBrakeWear(uint8_t ControlStatus, uint8_t DiscBrakeWearStatus)
{
  if(ControlStatus == 0x03u){
    if(DiscBrakeWearStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *缓速器故障指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param RetarderFailureStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void RetarderFailure(uint8_t ControlStatus, uint8_t RetarderFailureStatus)
{
  if(ControlStatus == 0x03u){
    if(RetarderFailureStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *变速箱故障指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param GearboxFailureStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void GearboxFailure(uint8_t ControlStatus, uint8_t GearboxFailureStatus)
{
  if(ControlStatus == 0x03u){
    if(GearboxFailureStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *ECAS 故障指示灯
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ECASStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */  
void ECASFailure(uint8_t ControlStatus, uint8_t ECASStatus)
{
  if(ControlStatus == 0x03u){
    if(ECASStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *ECAS 工作指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ECASStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */ 
void ECASIndicator(uint8_t ControlStatus, uint8_t ECASStatus)
{
  if(ControlStatus == 0x03u){
    if(ECASStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *缓速器工作指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param RetarderStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void RetarderIndicator(uint8_t ControlStatus, uint8_t RetarderStatus)
{
  if(ControlStatus == 0x03u){
    if(RetarderStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *轮差速锁工作指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param WheelDifferentialLockST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void WheelDifferentialLock(uint8_t ControlStatus, uint8_t WheelDifferentialLockST)
{
  if(ControlStatus == 0x03u){
    if(WheelDifferentialLockST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *浮动桥指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param FloatingBridgeStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void FloatingBridgeIndicator(uint8_t ControlStatus, uint8_t FloatingBridgeStatus)
{
  if(ControlStatus == 0x03u){
    if(FloatingBridgeStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *变速箱油温高指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param HighGearboxOilStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void HighGearboxOil(uint8_t ControlStatus, uint8_t HighGearboxOilStatus)
{
  if(ControlStatus == 0x03u){
    if(HighGearboxOilStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *停车取力指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ParkingPowerStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ParkingPower(uint8_t ControlStatus, uint8_t ParkingPowerStatus)
{
  if(ControlStatus == 0x03u){
    if(ParkingPowerStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *空滤器阻塞指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AirFilterBlockedStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AirFilterBlocked(uint8_t ControlStatus, uint8_t AirFilterBlockedStatus)
{
  if(ControlStatus == 0x03u){
    if(AirFilterBlockedStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *行车取力指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DrivingPowerStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DrivingPower(uint8_t ControlStatus, uint8_t DrivingPowerStatus)
{
  if(ControlStatus == 0x03u){
    if(DrivingPowerStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *分动器高档指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SplitterHigh_endStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SplitterHigh_end(uint8_t ControlStatus, uint8_t SplitterHigh_endStatus)
{
  if(ControlStatus == 0x03u){
    if(SplitterHigh_endStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *主驾侧门开关状态信号(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DriverDoorSwitchSt 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DriverDoorSwitch_St(uint8_t ControlStatus, uint8_t DriverDoorSwitchSt)
{
  if(ControlStatus == 0x03u){
    if(DriverDoorSwitchSt == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *副驾侧门开关状态信号(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CoDriverDoorSwitchSt 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void CoDriverDoorSwitch_ST(uint8_t ControlStatus, uint8_t CoDriverDoorSwitchSt)
{
  if(ControlStatus == 0x03u){
    if(CoDriverDoorSwitchSt == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *自适应前照工作灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AdaptiveFrontWorkingLightST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AdaptiveFrontWorkingLight(uint8_t ControlStatus, uint8_t AdaptiveFrontWorkingLightST)
{
  if(ControlStatus == 0x03u){
    if(AdaptiveFrontWorkingLightST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *自适应前照报警灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AdaptiveFrontAlarmLightST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AdaptiveFrontAlarmLight(uint8_t ControlStatus, uint8_t AdaptiveFrontAlarmLightST)
{
  if(ControlStatus == 0x03u){
    if(AdaptiveFrontAlarmLightST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *坡道辅助提示指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param RampAssistTipsStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void RampAssistTips(uint8_t ControlStatus, uint8_t RampAssistTipsStatus)
{
  if(ControlStatus == 0x03u){
    if(RampAssistTipsStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *ACC 巡航指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ACCCruiseStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ACCCruiseIndicator(uint8_t ControlStatus, uint8_t ACCCruiseStatus)
{
  if(ControlStatus == 0x03u){
    if(ACCCruiseStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *ACC 巡航故障指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ACCCruiseFaultStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ACCCruiseFaultIndicator(uint8_t ControlStatus, uint8_t ACCCruiseFaultStatus)
{
  if(ControlStatus == 0x03u){
    if(ACCCruiseFaultStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *全轮驱动指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AllWheelDriveStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AllWheelDriveIndicator(uint8_t ControlStatus, uint8_t AllWheelDriveStatus)
{
  if(ControlStatus == 0x03u){
    if(AllWheelDriveStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *整车信息指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param VehicleInformation 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void VehicleInformation(uint8_t ControlStatus, uint8_t VehicleInformation)
{
  if(ControlStatus == 0x03u){
    if(VehicleInformation == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *碰撞报警指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CollisionAlarmStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void CollisionAlarm(uint8_t ControlStatus, uint8_t CollisionAlarmStatus)
{
  if(ControlStatus == 0x03u){
    if(CollisionAlarmStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *燃气泄漏报警指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param GasLeakStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void GasLeakIndicator(uint8_t ControlStatus, uint8_t GasLeakStatus)
{
  if(ControlStatus == 0x03u){
    if(GasLeakStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *ADR 工作异常指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param Ab_ADRStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void Ab_ADRIndicator(uint8_t ControlStatus, uint8_t Ab_ADRStatus)
{

}

/**
  *前轮轮间差速锁指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param FrontWheelsLockingST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void FrontWheelsLocking(uint8_t ControlStatus, uint8_t FrontWheelsLockingST)
{
  if(ControlStatus == 0x03u){
    if(FrontWheelsLockingST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *EBS 红灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param EBSRedStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void EBSRedLight(uint8_t ControlStatus, uint8_t EBSRedStatus)
{
  if(ControlStatus == 0x03u){
    if(EBSRedStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *EBS 黄灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param EBSYellowStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void EBSYellowLight(uint8_t ControlStatus, uint8_t EBSYellowStatus)
{
  if(ControlStatus == 0x03u){
    if(EBSYellowStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *喷淋壶液位低(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowLevelOfSprayPotST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LowLevelOfSprayPot(uint8_t ControlStatus, uint8_t LowLevelOfSprayPotST)
{
  if(ControlStatus == 0x03u){
    if(LowLevelOfSprayPotST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *助力转向报警(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param PowerSteeringStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void PowerSteeringAlarm(uint8_t ControlStatus, uint8_t PowerSteeringStatus)
{
  if(ControlStatus == 0x03u){
    if(PowerSteeringStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *自动驻车状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AutomaticParkingStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AutomaticParking_ST(uint8_t ControlStatus, uint8_t AutomaticParkingStatus)
{
  if(ControlStatus == 0x03u){
    if(AutomaticParkingStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *驻车独立制动状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param IndependentAutomaticParkingST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void IndependentAutomaticParking_ST(uint8_t ControlStatus, uint8_t IndependentAutomaticParkingST)
{
  if(ControlStatus == 0x03u){
    if(IndependentAutomaticParkingST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *负载转移指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LoadTransferStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LoadTransfer(uint8_t ControlStatus, uint8_t LoadTransferStatus)
{
  if(ControlStatus == 0x03u){
    if(LoadTransferStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *柴油粒子过滤器再生禁止状态/ DPF 再生禁止灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DPFStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DPFReproductionProhibited(uint8_t ControlStatus, uint8_t DPFStatus)
{
  if(ControlStatus == 0x03u){
    if(DPFStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *超速报警指示灯/TSR 工作状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SpeedingAlarmStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SpeedingAlarm(uint8_t ControlStatus, uint8_t SpeedingAlarmStatus)
{
  if(ControlStatus == 0x03u){
    if(SpeedingAlarmStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *行人碰撞报警灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param PedestrianCollisionST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void PedestrianCollision(uint8_t ControlStatus, uint8_t PedestrianCollisionST)
{
  if(ControlStatus == 0x03u){
    if(PedestrianCollisionST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *TSR 目标车速限制(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param TSRStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void TSRIndicator(uint8_t ControlStatus, uint8_t TSRStatus)
{
  if(ControlStatus == 0x03u){
    if(TSRStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *高级辅助驾驶状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param AdvancedAssistedDrivingST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AdvancedAssistedDriving_ST(uint8_t ControlStatus, uint8_t AdvancedAssistedDrivingST)
{
  if(ControlStatus == 0x03u){
    if(AdvancedAssistedDrivingST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *SVS 指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SVSStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SVSIndicator(uint8_t ControlStatus, uint8_t SVSStatus)
{
  if(ControlStatus == 0x03u){
    if(SVSStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *NCD 指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param NCDStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void NCDIndicator(uint8_t ControlStatus, uint8_t NCDStatus)
{
  if(ControlStatus == 0x03u){
    if(NCDStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *IHC 工作状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param IHCStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void IHCWorkingIndicator(uint8_t ControlStatus, uint8_t IHCStatus)
{
  if(ControlStatus == 0x03u){
    if(IHCStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *动力电池系统故障指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param PowerBatterySystemFailureST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void PowerBatterySystemFailure(uint8_t ControlStatus, uint8_t PowerBatterySystemFailureST)
{
  if(ControlStatus == 0x03u){
    if(PowerBatterySystemFailureST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *驱动电机故障指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DriveMotorFailureST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DriveMotorFailure(uint8_t ControlStatus, uint8_t DriveMotorFailureST)
{
  if(ControlStatus == 0x03u){
    if(DriveMotorFailureST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *绝缘电阻过低报警指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LowResistanceStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LowResistance(uint8_t ControlStatus, uint8_t LowResistanceStatus)
{
  if(ControlStatus == 0x03u){
    if(LowResistanceStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *动力电池切断指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param BreakPowerBatteryST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void BreakPowerBattery(uint8_t ControlStatus, uint8_t BreakPowerBatteryST)
{
  if(ControlStatus == 0x03u){
    if(BreakPowerBatteryST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *高压上电指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param HighVoltagePowerUpST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void HighVoltagePowerUp(uint8_t ControlStatus, uint8_t HighVoltagePowerUpST)
{
  if(ControlStatus == 0x03u){
    if(HighVoltagePowerUpST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *驱动限功率状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DriveLimitedPowerST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DriveLimitedPower_ST(uint8_t ControlStatus, uint8_t DriveLimitedPowerST)
{
  if(ControlStatus == 0x03u){
    if(DriveLimitedPowerST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *驱动系统就绪指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param DriveSystemReadyST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void DriveSystemReady(uint8_t ControlStatus, uint8_t DriveSystemReadyST)
{
  if(ControlStatus == 0x03u){
    if(DriveSystemReadyST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *SOC 容量过低指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SOCStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SOCCapacityTooLow(uint8_t ControlStatus, uint8_t SOCStatus)
{
  if(ControlStatus == 0x03u){
    if(SOCStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *动力电池充电状态指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param PowerBatteryChargingST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void PowerBatteryCharging(uint8_t ControlStatus, uint8_t PowerBatteryChargingST)
{
  if(ControlStatus == 0x03u){
    if(PowerBatteryChargingST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *外部充电线连接指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ExChargingCableConnectST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void ExChargingCableConnect(uint8_t ControlStatus, uint8_t ExChargingCableConnectST)
{
  if(ControlStatus == 0x03u){
    if(ExChargingCableConnectST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

 /**
  *车辆低速警示音关闭指示灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param OffLowSpeedAlarmStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void OffLowSpeedAlarm(uint8_t ControlStatus, uint8_t OffLowSpeedAlarmStatus)
{
  if(ControlStatus == 0x03u){
    if(OffLowSpeedAlarmStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *离合器故障报警灯(预留)
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param ClutchFailureStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
/*
void ClutchFailure(uint8_t ControlStatus, uint8_t ClutchFailureStatus)
{

}
*/

/**
  *气量（LNG）
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LNGStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AirVolume_LNG(uint8_t ControlStatus, uint8_t LNGStatus)
{
  if(ControlStatus == 0x03u){
    if(LNGStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *气量（CNG）
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param CNGStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void AirVolume_CNG(uint8_t ControlStatus, uint8_t CNGStatus)
{
  if(ControlStatus == 0x03u){
    if(CNGStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *背光检测
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param BackLightStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void BackLightTest(uint8_t ControlStatus, uint8_t BackLightStatus)
{
  if(ControlStatus == 0x03u){
    if(BackLightStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *LCD 检测
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param LCDStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void LCDTest(uint8_t ControlStatus, uint8_t LCDStatus)
{
  if(ControlStatus == 0x03u){
    if(LCDStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *声音测试
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param SoundStatus 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void SoundTest(uint8_t ControlStatus, uint8_t SoundStatus)
{
  if(ControlStatus == 0x03u){
    if(SoundStatus == 0x00u){

    }
    else{

    }
  }
  else{

  }
}

/**
  *重新计算仪表综合油耗（注：仪表重新计算当前油耗和综合油耗）
  *@param ControlStatus 控制状态：0关闭解除控制，3强制控制
  *@param RecaculateFuelConsumptionST 报警灯状态：0关闭报警灯，FF开启报警灯
  */
void RecaculateFuelConsumption(uint8_t ControlStatus, uint8_t RecaculateFuelConsumptionST)
{
  if(ControlStatus == 0x03u){
    if(RecaculateFuelConsumptionST == 0x00u){

    }
    else{

    }
  }
  else{

  }
}